/// [OverlayAlignment] is used with [OverlayWidget] to align the overlay widget.
enum OverlayAlignment {
  /// The center point along the top edge.
  topCenter,

  /// The top left corner.
  topLeft,

  /// The top right corner.
  topRight,

  /// The center point, both horizontally and vertically.
  center,

  /// The center point along the left edge.
  centerLeft,

  /// The center point along the right edge.
  centerRight,

  /// The center point along the bottom edge.
  bottomCenter,

  /// The bottom left corner.
  bottomLeft,

  /// The bottom right corner.
  bottomRight
}
